Subject: RE: Packet Filtering (Re: Preliminary results from PCIMe technica l meeting, 1/24/01 - 1/26/01)

From: "Weiss, Walter" <[email-masked]>
Date: Wed, 21 Feb 2001 14:53:27 -0500

John,

[Snip]

> <js2>
> You're reading too much into what I said. I never used the 
> word "dynamic". 
> I simply said that there are additional constraints that one 
> can impose on 
> an attribute. Restricting the range of a uint8 to 0..63 is 
> one such example.
> </js2>
> 
Perhaps my use of "dynamic" was poor. I was trying to understand whether
this range was a property of the variable itself. If so, how is that
different from a data type. For example, QDDIM specifies a DSCP as having a
valid range between 0 and 63. I am trying to understand the difference
between a variable with the data type of DSCP and what you are proposing. I
am also trying to understand why it is better.

> > >    - constraining the data types of a variable or constant
> >Can you explain what you mean here? Are you refering to the 
> semantics of 
> >variables within an expression? If so, isn't this more a 
> function of the 
> >language semantics for the expression of variables (ie. Perl 
> notion of a 
> >variable is somewhat different from C).
> >
> ><js> See above </js>
> >
> >
> > >    - binding a variable to a value
> >Isn't this also a language semantic?
> >
> ><js>
> >No. For example, in QPIM we may be dealing with an 
> IPAddress, and want to 
> >restrict the values of said variable to just IPv4 addresses 
> that are in 
> >CIDR format.
> >
> ></js>
> ><ww>
> >Does binding refer to an assignment or a dynamic constraint 
> on allowable 
> >values of the variable? In my comment I was assuming the former.
> ></ww>
> 
> <js2>
> Not sure why you're hung up on dynamic entries. I never said 
> the word dynamic.
> </js2>
> 
I am just trying to understand how you are using the term "binding".

[Snip]

> <js2>
> I see no requirement to force people to represent variables or not. 
> Furthermore, if they want to represent variables, then this 
> wg has given 
> them two different means to accomplish the same task. They can use a 
> class-based approach, as in QDDIM, or they can use a finer-grained 
> approach, as in QPIM. We should not dictate which 
> representation people 
> choose, but it is application-specific.
> </js2>

I don't know about the WG giving them two means. I do know that there is a
proposal for variables on the table (that I endorse) and two possible ways
of using variables. My goal is to contrast them to understand the
differences between them and the benefits of each so that we can justify one
as optimal. If both approaches have merits, I would minimally expect the
working group to provide some guidance for usage.

regards,

-Walter